PSSR Struct Reference

Probabilistic Signature Scheme with Recovery. More...

`#include <pssr.h>`

Inheritance diagram for PSSR:

## Public Types

typedef PSSR_MEM< true > | SignatureMessageEncodingMethod

## Detailed Description

Probabilistic Signature Scheme with Recovery.

Signature Schemes with Recovery encode the message with the signature.

See also
  PSSR-MGF1

Since
  Crypto++ 2.1

Definition at line 89 of file pssr.h.

## Member Typedef Documentation

## SignatureMessageEncodingMethod

typedef PSSR_MEM<true> PSSR::SignatureMessageEncodingMethod

Definition at line 91 of file pssr.h.

The documentation for this struct was generated from the following file:

- pssr.h